Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2079473002: Always use FrameNavigationDisabler during DocumentLoader detach. (Closed)

Created:
2 years, 11 months ago by Nate Chapin
Modified:
2 years, 11 months ago
Reviewers:
dcheng
CC:
chromium-reviews, blink-reviews, loading-reviews_chromium.org, tyoshino+watch_chromium.org, gavinp+loader_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Always use FrameNavigationDisabler during DocumentLoader detach. BUG=617495 Committed: https://crrev.com/be655fd4fb9ab3291a855a939496111674037a2f Cr-Commit-Position: refs/heads/master@{#400558}

Patch Set 1 #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -5 lines) Patch
M third_party/WebKit/Source/core/loader/FrameLoader.cpp View 3 chunks +2 lines, -5 lines 1 comment Download

Messages

Total messages: 9 (3 generated)
Nate Chapin
I'm not aware of a case where we should allow navigations to begin during DocumentLoader ...
2 years, 11 months ago (2016-06-16 22:58:20 UTC) #2
dcheng
LGTM =) https://codereview.chromium.org/2079473002/diff/1/third_party/WebKit/Source/core/loader/FrameLoader.cpp File third_party/WebKit/Source/core/loader/FrameLoader.cpp (right): https://codereview.chromium.org/2079473002/diff/1/third_party/WebKit/Source/core/loader/FrameLoader.cpp#newcode1116 third_party/WebKit/Source/core/loader/FrameLoader.cpp:1116: if (m_documentLoader) { Unrelated nit: I wonder ...
2 years, 11 months ago (2016-06-17 20:03:46 UTC) #3
Nate Chapin
On 2016/06/17 20:03:46, dcheng wrote: > LGTM =) > > https://codereview.chromium.org/2079473002/diff/1/third_party/WebKit/Source/core/loader/FrameLoader.cpp > File third_party/WebKit/Source/core/loader/FrameLoader.cpp (right): ...
2 years, 11 months ago (2016-06-17 20:36:27 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2079473002/1
2 years, 11 months ago (2016-06-17 20:37:00 UTC) #6
commit-bot: I haz the power
Committed patchset #1 (id:1)
2 years, 11 months ago (2016-06-18 01:02:52 UTC) #7
commit-bot: I haz the power
2 years, 11 months ago (2016-06-18 01:05:25 UTC) #9
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/be655fd4fb9ab3291a855a939496111674037a2f
Cr-Commit-Position: refs/heads/master@{#400558}

Powered by Google App Engine
This is Rietveld 408576698